Subject: netbsd-current vs. new graphics/MesaLib
To: None <,>
From: matthew green <>
List: tech-toolchain
Date: 01/22/2004 15:52:13
hi folks.

the new graphics/MesaLib breaks on anyone running netbsd-current
with binutils 2.14.  this is my fault i guess as our binutils 2.14
doesn't support "-Bforcearchive".  i've added this flag back to
-current ld 2.14, but this won't help users of -current since 2.14
integration & pkgsrc-current.

a patch to make it (MesaLib's "mklib" script) use "--whole-archive"
on 1.6 & above should work fine, but i'm not able to easily test
this...  someone probably should.  and ideally, if --whole-archive
works on 1.5 as well i'd say such a patch should be pushed upstream..